GET /runwayml/v1/tasks/ çağrısı yapmak ve görev kimliğine göre Runway video oluşturma görevi durumu, ilerleme, çıktılar ve meta verileri almak için CometAPI kullanın.
curl --request GET \
--url https://api.cometapi.com/runwayml/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"code": "success",
"message": "",
"data": {
"task_id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"action": "IMAGE_TO_VIDEO",
"status": "QUEUED",
"fail_reason": "",
"submit_time": 1773366766,
"start_time": 0,
"finish_time": 0,
"progress": "0%",
"data": {
"id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"status": "PENDING",
"createdAt": "2026-03-13T09:52:46+08:00"
}
}
}code ve messagedata.status ve data.progressdata.datatask_not_exist döndürebilirfeed sarmalayıcısı aynı kuyruğa alınmış veya işlemde olan zarfı döndürebilircode: success, status: QUEUED ve iç içe bir data nesnesi içeren sarmalanmış bir yanıt döndü.Bearer token authentication. Use your CometAPI key.
Optional Runway version header, for example 2024-11-06.
Runway task id returned by the create endpoint.
curl --request GET \
--url https://api.cometapi.com/runwayml/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"code": "success",
"message": "",
"data": {
"task_id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"action": "IMAGE_TO_VIDEO",
"status": "QUEUED",
"fail_reason": "",
"submit_time": 1773366766,
"start_time": 0,
"finish_time": 0,
"progress": "0%",
"data": {
"id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"status": "PENDING",
"createdAt": "2026-03-13T09:52:46+08:00"
}
}
}